Bug 429258 - Crash in writer when trying to accept/reject changes
Crash in writer when trying to accept/reject changes
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-18 06:04 EST by Kjartan Maraas
Modified: 2008-01-24 14:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-24 14:12:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 85385 None None None Never

  None (edit)
Description Kjartan Maraas 2008-01-18 06:04:03 EST
Description of problem:

(I)    x.org loaded video driver of...
(II) Loading /usr/lib/xorg/modules/drivers//intel_drv.so
(II) Loading /usr/lib/xorg/modules/drivers//vesa_drv.so
(II) Unloading /usr/lib/xorg/modules/drivers//vesa_drv.so
(==) Depth 24 pixmap format is 32 bpp
(III)  Desktop is: GNOME
(IV)   libgcj version is: libgcj-4.1.2-36-i386
(V)    kernel is: Linux 2.6.24-0.155.rc7.git6.fc9 #1 SMP Tue Jan 15 17:52:31 EST
2008 i686 i686 i386
(VI)   OpenOffice.org core rpm version is: openoffice.org-core-2.4.0-2.2.fc9-i386
(VII)  accessibility is: true
(VIII) fedora release is: Fedora release 8.90 (Rawhide)
(VIV)  LANG is: nb_NO.UTF-8
...start free space details ...
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/sda3             53604792  50988060   2073196  97% /
/dev/sda3             53604792  50988060   2073196  97% /
...end free space details ...
...start sestatus details ...
SELinux status:                 disabled
...end sestatus details ...
...start stackreport details ...
0x20456e5: 0x1cd374: /usr/lib/openoffice.org/program/libuno_sal.so.3 + 0x216e5
0x204619f: 0x1cd374: /usr/lib/openoffice.org/program/libuno_sal.so.3 + 0x2219f
0x130420: 0x0:  + 0x420 (__kernel_sigreturn + 0x0)
0x1bfd2ea: 0x3fe150: /usr/lib/openoffice.org/program/libsvt680li.so + 0x24b2ea
(SvListView::IsSelected(SvListEntry*) const + 0x24)
0x1bf9a9b: 0x3fe150: /usr/lib/openoffice.org/program/libsvt680li.so + 0x247a9b
(SvHeaderTabListBox::FillAccessibleStateSetForCell(utl::AccessibleStateSetHelper&,
long, unsigned short) const + 0x8f)
0x51a91f2: 0xd579c: /usr/lib/openoffice.org/program/libacc680li.so + 0x5e1f2
0x51a4d96: 0xd579c: /usr/lib/openoffice.org/program/libacc680li.so + 0x59d96
0x3a9a0bf: 0x59af0: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so +
0x230bf
(DocumentFocusListener::attachRecursive(com::sun::star::uno::Reference<com::sun::star::accessibility::XAccessible>
const&,
com::sun::star::uno::Reference<com::sun::star::accessibility::XAccessibleContext> const&)
+ 0x23)
0x3a9a13f: 0x59af0: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so +
0x2313f
(DocumentFocusListener::attachRecursive(com::sun::star::uno::Reference<com::sun::star::accessibility::XAccessible>
const&) + 0x37)
0x3a99b90: 0x59af0: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so +
0x22b90
(DocumentFocusListener::attachRecursive(com::sun::star::uno::Reference<com::sun::star::accessibility::XAccessible>
const&,
com::sun::star::uno::Reference<com::sun::star::accessibility::XAccessibleContext> const&,
com::sun::star::uno::Reference<com::sun::star::accessibility::XAccessibleStateSet>
const&) + 0x106)
0x3a9a0d5: 0x59af0: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so +
0x230d5
(DocumentFocusListener::attachRecursive(com::sun::star::uno::Reference<com::sun::star::accessibility::XAccessible>
const&,
com::sun::star::uno::Reference<com::sun::star::accessibility::XAccessibleContext> const&)
+ 0x39)
0x3a9a13f: 0x59af0: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so +
0x2313f
(DocumentFocusListener::attachRecursive(com::sun::star::uno::Reference<com::sun::star::accessibility::XAccessible>
const&) + 0x37)
0x3a99b90: 0x59af0: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so +
0x22b90
(DocumentFocusListener::attachRecursive(com::sun::star::uno::Reference<com::sun::star::accessibility::XAccessible>
const&,
com::sun::star::uno::Reference<com::sun::star::accessibility::XAccessibleContext> const&,
com::sun::star::uno::Reference<com::sun::star::accessibility::XAccessibleStateSet>
const&) + 0x106)
0x3a99d91: 0x59af0: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so + 0x22d91
0x3a99ebf: 0x59af0: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so +
0x22ebf (WindowEventHandler(void*, VclSimpleEvent const*) + 0x6d)
0x22ae453: 0x3d93fc: /usr/lib/openoffice.org/program/libvcl680li.so + 0x88453
0x22be5a7: 0x3d93fc: /usr/lib/openoffice.org/program/libvcl680li.so + 0x985a7
(VclEventListeners::Call(VclSimpleEvent*) const + 0x39)
0x22b6b16: 0x3d93fc: /usr/lib/openoffice.org/program/libvcl680li.so + 0x90b16
(Application::ImplCallEventListeners(VclSimpleEvent*) + 0x32)
0x2434b31: 0x3d93fc: /usr/lib/openoffice.org/program/libvcl680li.so + 0x20eb31
(Window::CallEventListeners(unsigned long, void*) + 0x49)
0x2434bfe: 0x3d93fc: /usr/lib/openoffice.org/program/libvcl680li.so + 0x20ebfe
(Window::ImplCallEventListeners(unsigned long, void*) + 0x20)
0x2436060: 0x3d93fc: /usr/lib/openoffice.org/program/libvcl680li.so + 0x210060
(Window::PreNotify(NotifyEvent&) + 0xe8)
0x243f9f0: 0x3d93fc: /usr/lib/openoffice.org/program/libvcl680li.so + 0x2199f0
0x2435322: 0x3d93fc: /usr/lib/openoffice.org/program/libvcl680li.so + 0x20f322
0x2435454: 0x3d93fc: /usr/lib/openoffice.org/program/libvcl680li.so + 0x20f454
(Window::GrabFocus() + 0x10)
0x243fcf5: 0x3d93fc: /usr/lib/openoffice.org/program/libvcl680li.so + 0x219cf5
0x243fd13: 0x3d93fc: /usr/lib/openoffice.org/program/libvcl680li.so + 0x219d13
0x22ae453: 0x3d93fc: /usr/lib/openoffice.org/program/libvcl680li.so + 0x88453
0x2443062: 0x3d93fc: /usr/lib/openoffice.org/program/libvcl680li.so + 0x21d062
0x3cc5a3f: 0x8401c: /usr/lib/openoffice.org/program/libvclplug_gen680li.so + 0x1fa3f
0x3ceee96: 0x8401c: /usr/lib/openoffice.org/program/libvclplug_gen680li.so +
0x48e96 (SalDisplay::DispatchInternalEvent() + 0x78)
0x3a8bbe9: 0x59af0: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so + 0x14be9
0x3a8bc18: 0x59af0: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so + 0x14c18
0x7c1aff1: 0xd9108: /lib/libglib-2.0.so.0 + 0x33ff1
0x7c1cbbc: 0xd9108: /lib/libglib-2.0.so.0 + 0x35bbc (g_main_context_dispatch +
0x17c)
0x7c20036: 0xd9108: /lib/libglib-2.0.so.0 + 0x39036
0x7c205a5: 0xd9108: /lib/libglib-2.0.so.0 + 0x395a5 (g_main_context_iteration +
0x65)
0x3a8ba18: 0x59af0: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so + 0x14a18
0x3cf50e9: 0x8401c: /usr/lib/openoffice.org/program/libvclplug_gen680li.so +
0x4f0e9 (X11SalInstance::Yield(bool, bool) + 0x2f)
0x22b66a9: 0x3d93fc: /usr/lib/openoffice.org/program/libvcl680li.so + 0x906a9
(Application::Yield(bool) + 0x57)
0x22b6767: 0x3d93fc: /usr/lib/openoffice.org/program/libvcl680li.so + 0x90767
(Application::Execute() + 0x2b)
0x15530a: 0x630cc: /usr/lib/openoffice.org/program/libsoffice.so + 0x2430a
(desktop::Desktop::Main() + 0x1612)
0x22bb1ef: 0x3d93fc: /usr/lib/openoffice.org/program/libvcl680li.so + 0x951ef
0x22bb305: 0x3d93fc: /usr/lib/openoffice.org/program/libvcl680li.so + 0x95305
(SVMain() + 0x2d)
0x14e80e: 0x630cc: /usr/lib/openoffice.org/program/libsoffice.so + 0x1d80e (main
+ 0xc2)
0x66c54a0: 0x15ed7c: /lib/libc.so.6 + 0x164a0 (__libc_start_main + 0xe0)
0x80484e1: 0x6f8: /usr/lib/openoffice.org/program/swriter.bin + 0x4e1 (main + 0x59)
...end stackreport details ...
...start sample ldd details ...
	linux-gate.so.1 =>  (0x00110000)
	libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0x00171000)
	libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0x00572000)
	libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0x00608000)
	libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0x00624000)
	libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0x00641000)
	libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0x0064b000)
	libcairo.so.2 => /usr/lib/libcairo.so.2 (0x0068c000)
	libgmodule-2.0.so.0 => /lib/libgmodule-2.0.so.0 (0x006f3000)
	libdl.so.2 => /lib/libdl.so.2 (0x006f7000)
	libgthread-2.0.so.0 => /lib/libgthread-2.0.so.0 (0x006fc000)
	librt.so.1 => /lib/librt.so.1 (0x00701000)
	libdbus-glib-1.so.2 => /usr/lib/libdbus-glib-1.so.2 (0x0070b000)
	libdbus-1.so.3 => /lib/libdbus-1.so.3 (0x00728000)
	libgobject-2.0.so.0 => /lib/libgobject-2.0.so.0 (0x00768000)
	libglib-2.0.so.0 => /lib/libglib-2.0.so.0 (0x007a9000)
	libvclplug_gen680li.so =>
/usr/lib/openoffice.org/program/libvclplug_gen680li.so (0x00883000)
	libvcl680li.so => /usr/lib/openoffice.org/program/libvcl680li.so (0x0090e000)
	libpsp680li.so => /usr/lib/openoffice.org/program/libpsp680li.so (0x00cef000)
	libsot680li.so => /usr/lib/openoffice.org/program/libsot680li.so (0x00df2000)
	libutl680li.so => /usr/lib/openoffice.org/program/libutl680li.so (0x00e58000)
	libtl680li.so => /usr/lib/openoffice.org/program/libtl680li.so (0x00ef4000)
	libcomphelp4gcc3.so => /usr/lib/openoffice.org/program/libcomphelp4gcc3.so
(0x00fa0000)
	libucbhelper4gcc3.so => /usr/lib/openoffice.org/program/libucbhelper4gcc3.so
(0x0c36e000)
	libuno_cppuhelpergcc3.so.3 =>
/usr/lib/openoffice.org/program/libuno_cppuhelpergcc3.so.3 (0x010ca000)
	libuno_cppu.so.3 => /usr/lib/openoffice.org/program/libuno_cppu.so.3 (0x01177000)
	libvos3gcc3.so => /usr/lib/openoffice.org/program/libvos3gcc3.so (0x011a6000)
	libuno_sal.so.3 => /usr/lib/openoffice.org/program/libuno_sal.so.3 (0x19955000)
	libX11.so.6 => /usr/lib/libX11.so.6 (0x011cc000)
	libXext.so.6 => /usr/lib/libXext.so.6 (0x012c8000)
	libpthread.so.0 => /lib/libpthread.so.0 (0x012d8000)
	libstlport_gcc.so => /usr/lib/openoffice.org/program/libstlport_gcc.so (0x012f2000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x013be000)
	libm.so.6 => /lib/libm.so.6 (0x014a7000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x014d0000)
	libc.so.6 => /lib/libc.so.6 (0x014dc000)
	libXcomposite.so.1 => /usr/lib/libXcomposite.so.1 (0x1f62d000)
	libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0x0163f000)
	libpng12.so.0 => /usr/lib/libpng12.so.0 (0x01644000)
	libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0x0166a000)
	libXrender.so.1 => /usr/lib/libXrender.so.1 (0x01698000)
	libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0x016a1000)
	libXi.so.6 => /usr/lib/libXi.so.6 (0x016a4000)
	libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0x016ad000)
	libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0x016b4000)
	libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0x016be000)
	libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x3f10a000)
	libz.so.1 => /lib/libz.so.1 (0x3f091000)
	libpixman-1.so.0 => /usr/lib/libpixman-1.so.0 (0x3f0b2000)
	libselinux.so.1 => /lib/libselinux.so.1 (0x016e9000)
	/lib/ld-linux.so.2 (0xb7f43000)
	libnsl.so.1 => /lib/libnsl.so.1 (0x01704000)
	libcap.so.1 => /lib/libcap.so.1 (0x3f081000)
	libSM.so.6 => /usr/lib/libSM.so.6 (0x3f087000)
	libICE.so.6 => /usr/lib/libICE.so.6 (0x0171e000)
	libi18nisolang1gcc3.so =>
/usr/lib/openoffice.org/program/libi18nisolang1gcc3.so (0x20e04000)
	libbasegfx680li.so => /usr/lib/openoffice.org/program/libbasegfx680li.so
(0x20e6a000)
	libicuuc.so.38 => /usr/lib/libicuuc.so.38 (0x20f28000)
	libicule.so.38 => /usr/lib/libicule.so.38 (0x20e32000)
	libjvmaccessgcc3.so.3 => /usr/lib/openoffice.org/program/libjvmaccessgcc3.so.3
(0x01738000)
	libjvmfwk.so.3 => /usr/lib/openoffice.org/program/libjvmfwk.so.3 (0x01741000)
	libuno_salhelpergcc3.so.3 =>
/usr/lib/openoffice.org/program/libuno_salhelpergcc3.so.3 (0x01760000)
	libcrypt.so.1 => /lib/libcrypt.so.1 (0x01765000)
	libxcb-xlib.so.0 => /usr/lib/libxcb-xlib.so.0 (0x27a99000)
	libxcb.so.1 => /usr/lib/libxcb.so.1 (0x01798000)
	libXau.so.6 => /usr/lib/libXau.so.6 (0x017b4000)
	libexpat.so.1 => /lib/libexpat.so.1 (0x017b7000)
	libicudata.so.38 => /usr/lib/libicudata.so.38 (0xb7440000)
	libxml2.so.2 => /usr/lib/libxml2.so.2 (0x017d8000)
	libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0x45dc7000)
...end sample ldd details ...

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Caolan McNamara 2008-01-18 06:45:41 EST
Can you attach a sample document in which this will happen. Then I believe this
is an accessibility crash, so unless you need it, you can disable accessibility
with system->preferences->personal->assistive technology to avoid this problem
Comment 2 Kjartan Maraas 2008-01-18 08:30:18 EST
I can confirm that I have a11y enabled. The document is part of an evaluation
for a tender so I can't share that at this point. I can try to get more
information if you need it. Just tell me what to do :-)
Comment 3 Caolan McNamara 2008-01-18 09:12:35 EST
well you can always send it directly to me and I promise to keep it
confidential, otherwise maybe it would help to know if it was a .odt or a .doc
and roughly how many changes were in the document, 10, 100, 1000 and if it
happened when e.g. click accept/reject on the first one, or happened after
roughly X amount of accept/rejects.
Comment 4 Caolan McNamara 2008-01-19 07:57:57 EST
Accepting, I can reproduce it now
Comment 5 Caolan McNamara 2008-01-19 08:24:31 EST
Fixed, will be in >= openoffice.org-2.4.0-3.2.fc9

Note You need to log in before you can comment on or make changes to this bug.